//
/*
 * Copyright (c) 2022 BWI GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import Foundation

@objcMembers class PusherURLHelper : NSObject {
    
    // returns true if there is no pusherURL saved or when it has changed
    func isChangedPusherURL() -> Bool {
        let currentPushURL = AppConfigService.shared.pusherUrl()
        
        guard let oldPusherURL = UserDefaults.standard.string(forKey: "BWIPusherURL") else {
            return true
        }
        
        return oldPusherURL != currentPushURL
    }
    
    func savePusherURL() {
        let currentPushURL = AppConfigService.shared.pusherUrl()
        
        UserDefaults.standard.set(currentPushURL, forKey: "BWIPusherURL")
        UserDefaults.standard
            .synchronize()
    }

}
